// -*- c -*-
// "clsSphere.cpp"
// (setq c-basic-offset 4)

#ifndef _SPHERE_H_
#define _SPHERE_H_

#ifdef _DEBUG
#include <stdlib.h>
#include <crtdbg.h>
#define new new(_NORMAL_BLOCK, __FILE__, __LINE__)
#endif

#ifndef TRUE
#define TRUE true
#define FALSE false
#endif

class Sphere_cls{
 private:
    static bool mbInitialized;
    static int  mDList[4];
    static int  mDListNoTex[4];
    
    static void ChangeCoordinate3Dto2D(double vec3D[3], double vec2D[2]);
    static void AdjustVec2DOverBoundary(double vector[2], double vectormem[2]);
    static void DrawTriangle(double v1[3], double v2[3], double v3[3], bool bUseTex);
    static void DivideTriangle
	(double v1[3], double v2[3], double v3[3], int depth, bool bUseTex);
    static int  DListDraw(int GLMode, int depth, bool bUseTex = TRUE);

 public:
    static void Draw(int type);
    static void DrawNoTex(int type);
    static void InitializeIfNot();
};

#endif
