// -*- c -*-
// "clsParamGUICtrl.cpp"
// (setq c-basic-offset 4)

#ifndef _PARAM_GUI_CTRL_H
#define _PARAM_GUI_CTRL_H

#include <wx/wx.h>
//#include <wx/scrolwin.h>
#include <vector>

class ParamGroup_cls;
class SceneObj_cls;
class TimeCtrl_cls;
class Main_cls;

#ifdef _DEBUG
#include <stdlib.h>
#include <crtdbg.h>
#define new new(_NORMAL_BLOCK, __FILE__, __LINE__)
#endif

class ParamGUICtrl_cls : public wxPanel {
 public:
    ParamGUICtrl_cls(Main_cls *mpCMainLink,
		     wxWindow *pCParent, wxWindowID Id, 
		     wxPoint pos, wxSize size);

    wxWindow *mpCParent;
    Main_cls *mpCMainLink;
    wxScrolledWindow *mpCScrollLink;
    wxBoxSizer *mpCSizer;
    std::vector < ParamGroup_cls* > mVpCParamGroup;

    //int  CalcHeight();
    void AddParamGroup(ParamGroup_cls* pCParamGroup);
    void RefreshPanels();
    void ChangeOtherSelector(int objIndex);
    SceneObj_cls* SelectObject(SceneObj_cls* pCSceneObj);
    SceneObj_cls* SelectObject(int objectIndex, int guideIndex);
    void HideAndShow();
    void ResizeTL();
    void UpdateSnippingTag(std::vector < bool > *pVbSnipTag);

    void OnPaint(wxPaintEvent& event);

     private:
    // any class wishing to process wxWidgets events must use this macro
    DECLARE_EVENT_TABLE()
};

#endif
