// -*- c++ -*- 
// "clsDataLoader.cpp"
// (setq c-basic-offset 4)

#ifndef _DATA_LOADER_GUI_H_
#define _DATA_LOADER_GUI_H_

#include "clsGrammerBase.h"

#include "../WIDGETCTRL/clsDialogEXKey.h"
#include <wx/wx.h>

class DataLoader_cls;
class MultiInputPanel_cls;
class wxListCtrlEX;
class wxButtonEX;

#ifdef _DEBUG
#include <stdlib.h>
#include <crtdbg.h>
#define new new(_NORMAL_BLOCK, __FILE__, __LINE__)
#endif

class DataLoaderGUI_cls : public wxDialogEXKey, GrammerBaseGUI_cls {
 public: 
    DataLoaderGUI_cls(wxWindow *pCParent, DataLoader_cls *pCCtrl);

    wxWindow *mpCParent;
    DataLoader_cls *mpCCtrl;

    MultiInputPanel_cls* mpCMInput;
    void SetMInput(wxBoxSizer *pBoxSizer);

    void OnBtnOpenFile(wxCommandEvent &event);
    void OnBtnUpHead(wxCommandEvent &event);
    void OnBtnDownHead(wxCommandEvent &event);
    void OnBtnUpBody(wxCommandEvent &event);
    void OnBtnDownBody(wxCommandEvent &event);
    void OnBtnDefault(wxCommandEvent &event);
    void OnInsertDummy1(wxCommandEvent &event);
    void OnInsertDummy3(wxCommandEvent &event);
    void OnInsertDummy10(wxCommandEvent &event);
    void OnInsertXYZ(wxCommandEvent &event);
    void OnInsertVXVYVZ(wxCommandEvent &event);
    void OnInsertRadius(wxCommandEvent &event);
    void OnInsertType(wxCommandEvent &event);
    void OnInsertId(wxCommandEvent &event);
    void OnInsertValue1(wxCommandEvent &event);
    void OnInsertTime(wxCommandEvent &event);
    void OnInsertNumber(wxCommandEvent &event);
    void OnDelete(wxCommandEvent &event);
    void OnClick(wxListEvent& event);
    void OnListKeyDown(wxListEvent& event);
    void OnKeyDown(wxKeyEvent& event);
    void OnMouseRGT(wxMouseEvent& event);

    static void FuncHookCombobox(void *pEvent, void *pArg);
    
    DECLARE_EVENT_TABLE()
};

#endif
