// -*- c -*-
// "clsParaGroupGUI.cpp"
// (setq c-basic-offset 4)

#ifndef _PARAM_GROUP_GUI_H
#define _PARAM_GROUP_GUI_H

#include <wx/wx.h>
#include <wx/image.h>

class BitmapPanel_cls; 
class ParamGroup_cls;
class ParamGUICtrl_cls;
class wxStaticTextEX;

#ifdef _DEBUG
#include <stdlib.h>
#include <crtdbg.h>
#define new new(_NORMAL_BLOCK, __FILE__, __LINE__)
#endif

class ParamGroupGUI_cls : public wxPanel {
 public:
    ParamGroupGUI_cls
	(ParamGroup_cls *pCParamGroup, ParamGUICtrl_cls *pCParentCtrl, 
	 wxString strLabel, int depth, wxWindowID id = wxID_ANY, 
	 wxPoint pos = wxDefaultPosition, wxSize size = wxDefaultSize);

    ParamGroup_cls   *mpCParentGroup;
    ParamGUICtrl_cls *mpCCtrlLink;
    wxStaticTextEX   *mpCLabelText;
    int              mDepth;
    
    void LoadBitmap();
    
    static wxBitmap msCBitmapOpen;
    static wxBitmap msCBitmapClose;
    static wxBitmap msCBitmapLinked;
    static wxBitmap msCBitmapUnLinked;
    static bool     msbInitialized;

    BitmapPanel_cls *mpCBPanelFolder;
    BitmapPanel_cls *mpCBPanelLink;
    BitmapPanel_cls *mpCBPanelVisible;
    
    void SetParamBackgroundColour();
    void OnMouseLOpen(wxMouseEvent& event);
    void OnMouseLLink(wxMouseEvent& event);
    void OnMouseLVisible(wxMouseEvent& event);
    void OnMouseLSelect(wxMouseEvent& event);
};

#endif
