// -*- c++ -*-
// "clsTimeCtrlGUI.cpp"

#ifndef _TIME_CTRL_GUI_ATOI_H
#define _TIME_CTRL_GUI_ATOI_H

#include "clsTLPanelBase.h"

class TimeCtrl_cls;
class AtoiTextCtrl_cls;

#ifdef _DEBUG
#include <stdlib.h>
#include <crtdbg.h>
#define new new(_NORMAL_BLOCK, __FILE__, __LINE__)
#endif

class TimeCtrlGUIAtoi_cls : public TLPanelBase_cls {
 public:
    TimeCtrlGUIAtoi_cls(wxWindow *pCParent, TimeCtrl_cls *pCCtrl,
		    wxWindowID id, wxPoint pos, wxSize size);
    ~TimeCtrlGUIAtoi_cls();

    AtoiTextCtrl_cls *mpCAtoiFrame, *mpCAtoiStep;

    void UpdateDisplay(wxAutoBufferedPaintDC &dc);
    void UpdateDisplay();
    void ForceUpdateDisplay();
    bool SetNewIndexDragging();
    bool SetNewMinDragging();
    bool SetNewMaxDragging();
    void SetNewMinFix(int min_DragIni);
    void SetNewMaxFix(int max_DragIni);

    void OnSize(wxSizeEvent& event);
    void OnPaint(wxPaintEvent& event);
    void OnChar(wxKeyEvent& event);

 private:
    // any class wishing to process wxWidgets events must use this macro
    DECLARE_EVENT_TABLE()
};

#endif
