// -*- c -*- 
// "clsSliderEX.h"

#include "clsSliderEX.h"

wxSliderEX::
wxSliderEX(wxWindow* parent, wxWindowID id, 
	   int value, int maxValue, int minValue,
	   const wxPoint& pos, const wxSize& size,
	   long style, const wxValidator& validator,
	   const wxString& name) :
    wxSlider(parent, id, value, maxValue, minValue, pos, size, style, validator, name)
{

    Connect(id, wxEVT_KEY_DOWN,
	    wxKeyEventHandler(wxSliderEX::OnKeyDown));
    
    //InheritAttributes();
}

wxWindow* wxSliderEX::
GetPWindow(){
    return this;
}

void wxSliderEX::
OnKeyDown(wxKeyEvent& event){
    //ProcessKeyEvent(event);

    /*
    event.SetId(wxGetTopLevelParent(this)->GetId());
    wxGetTopLevelParent(this)->AddPendingEvent(event);
    */

    event.SetId(GetParent()->GetId());
    GetParent()->AddPendingEvent(event);

    /*
#ifndef WIN32
    if (event.GetKeyCode() == WXK_TAB)
	event.Skip();
#endif
    */
}
