// -*- c -*- 
// (setq c-basic-offset 4)
// "clsAtoiSpinCtrl.h"

#include "clsAtoiSpinCtrl.h"

AtoiSpinCtrl_cls::
AtoiSpinCtrl_cls(wxWindow *parent, wxWindowID id, int initvalue,
		 wxPoint pos, wxSize size) 
    : SpinCtrlEX_cls(parent, id, 
		     wxString::Format(wxT("%d"), initvalue),
		     pos, size)
{
    mMin = 0;
    mMax = 0;
}

void AtoiSpinCtrl_cls::
UpdateValueFromText(bool assign){
    int value = GetValue();
    
    if (assign == TRUE){
	wxKeyEvent dummy(wxEVT_CHAR);
	dummy.m_keyCode = WXK_RETURN;
	dummy.SetId(GetId());
	GetParent()->AddPendingEvent(dummy);
    }
}

void AtoiSpinCtrl_cls::
SetRange(int min, int max){
    mMin = min; mMax = max;
    wxSpinCtrl::SetRange(mMin, mMax);
}

void AtoiSpinCtrl_cls::
SetValueInt(int value){
    SetValue(wxString::Format(wxT("%d"), value));
}


