// -*- c -*- 
// "clsSliderFloat.cpp"

#ifndef _SLIDER_DOUBLE_H_
#define _SLIDER_DOUBLE_H_

#include <wx/wx.h>
#include "clsSliderInt.h"

class SliderDouble_cls : public SliderInt_cls {
 public:
    SliderDouble_cls(wxWindow *parent, wxWindowID id, int initvalue,
		     int min, int max, int scale,
		     wxPoint pos = wxDefaultPosition, 
		     wxSize size = wxSize(40, -1));
    
 public:
    int   mScale;

    void SetValueDouble(double value);
    void SetRangeSliderWrapperDouble(int min, int max, int scale);
    double GetValue();
};

#endif
