
#include "clsQuickSort.h"

#include <algorithm>

void QuickSort_cls::
QuickSort(int *idx, float *val,
	  int ini, int fin){

    if (ini  >=  fin) return;
  
    float sum = 0.0f;
    float mean;

    // ϒľvZ 
    for (int i = ini; i<=fin; i++){
	sum +=  val[idx[i]];}
    mean = sum / (float)(fin-ini+1);
    
    int front = ini, back = fin;
    while(1){
	// т̂Ƃ͂̂܂ 
	while (val[idx[front]] <= mean && front < fin){ front++;}
	if (front == fin && back == fin){ back = fin-1;break;} 
	while (val[idx[back]] > mean && back > ini){ back--;}
	if (front > back){ break;}
	// ȂyA
	std::swap(idx[front], idx[back]);
	front++; back--;
    }
    
    // ċAĂяo 
    QuickSort(idx, val, ini, back);
    QuickSort(idx, val, front, fin);
}

void QuickSort_cls::
QuickSortInv(int *idx, float *val,
	     int ini, int fin){

    if (ini >= fin) return;

    float sum = 0.0;
    float mean;
    // ϒľvZ 
    for (int i = ini; i<=fin; i++){
	sum +=  val[idx[i]];}
    mean = sum / (float)(fin-ini+1);
  
    int front = ini, back = fin;
    while(1){
	// т̂Ƃ͂̂܂ 
	while (val[idx[front]] >= mean && front < fin) front++;
	if (front == fin && back == fin){ back = fin-1; break;} 
	while (val[idx[back]] < mean && back > ini) back--;
	if (front > back){ break;}
	// ȂyAւ 
	std::swap(idx[front], idx[back]);
	front++; back--;
    }
    
    // ċAĂяo
    QuickSortInv(idx, val, ini, back);
    QuickSortInv(idx, val, front, fin);
    
    return;
}
