// -*- c -*-
// "clsCylinder.cpp"
// (setq c-basic-offset 4)

#ifndef _CYLINDER_H_
#define _CYLINDER_H_

#ifdef _DEBUG
#include <stdlib.h>
#include <crtdbg.h>
#define new new(_NORMAL_BLOCK, __FILE__, __LINE__)
#endif

class Cylinder_cls{
 private:
    static bool mbInitialized;
    static int  mDList[2];

    static int  DListDraw(int GLMode, int type);

 public:
    static void Rotate(double phi, double theta, double vec[3]);
    static void DrawMain(int type, double phi = 0, double theta = 0,
			 int quality = 1, float length = 20);
    static void Draw(int type);
    static void InitializeIfNot();
};

#endif
