// (setq c-basic-offset 4)
// "clsPreviewPanel.h"

#include "clsBtmHalfPanel.h"
#include "clsParamGUICtrl.h"

#include "../../clsFrameMain.h"
#include "../../wxWidgetEnum.h"
#include "../PARAMETER/clsParamTL.h"
#include "../PARAMETER/clsParametersPanel.h"
#include "../TIMELINE/clsPlayCtrlGUI.h"
#include "../TIMELINE/clsTimeCtrl.h"
#include "../TIMELINE/clsTimeCtrlGUI.h"
#include "../TIMELINE/clsTimeCtrlGUIAA.h"
#include "../TIMELINE/clsTimeCtrlGUIAtoi.h"
#include "../TIMELINE/clsTimeCtrlGUITics.h"

// ÓIɃCxgт
BEGIN_EVENT_TABLE(BtmHalfPanel_cls, wxPanel)
//     EVT_MOUSE_EVENTS(BtmHalfPanel_cls::OnMouse)
//EVT_SCROLL(BtmHalfPanel_cls::OnScroll)
//     EVT_KEY_DOWN(BtmHalfPanel_cls::OnKeyDown)
END_EVENT_TABLE()

#ifdef _DEBUG
#include <stdlib.h>
#include <crtdbg.h>
#define new new(_NORMAL_BLOCK, __FILE__, __LINE__)
#endif

BtmHalfPanel_cls::
BtmHalfPanel_cls(wxWindow *pC, FrameMain_cls *pCFrame) : 
wxPanel(pC, wxID_ANY, wxDefaultPosition, wxDefaultSize)
//wxScrolledWindow(pC, wxID_ANY, wxDefaultPosition, wxDefaultSize, wxVSCROLL | wxALWAYS_SHOW_SB)
{
    mpCParentFrame = pCFrame;

    wxBoxSizer  *pCBoxSizerSRC = new wxBoxSizer(wxHORIZONTAL);

    wxBoxSizer  *pCBoxSizerBase = new wxBoxSizer(wxVERTICAL);

    mpCParentFrame->GetPCTimeCtrl()->InstantiateGUIA(this);

    mpCParamGUICtrl = new ParamGUICtrl_cls
	(pCFrame->mpCParent, this, wxID_ANY, wxDefaultPosition, wxDefaultSize);
    
    mpCTmpA = new wxPanel(this, wxID_ANY, wxDefaultPosition, wxSize(73,12));
    mpCTmpA->SetBackgroundColour(wxT("WHITE"));
    mpCTmpB = new wxPanel(this, wxID_ANY, wxDefaultPosition, wxSize(73,12));
    mpCTmpB->SetBackgroundColour(wxT("WHITE"));

    wxBoxSizer  *pCBoxSizerLineA = new wxBoxSizer(wxHORIZONTAL);
    wxBoxSizer  *pCBoxSizerLineB = new wxBoxSizer(wxHORIZONTAL);
    wxBoxSizer  *pCBoxSizerLineC = new wxBoxSizer(wxHORIZONTAL);
    
    pCBoxSizerLineA->Add(mpCTmpA, 0, wxEXPAND);
    pCBoxSizerLineA->Add(mpCParentFrame->GetPCTimeCtrl()->mpCGUIAA, 1, wxEXPAND);
    pCBoxSizerLineB->Add(mpCTmpB, 0, wxEXPAND);
    pCBoxSizerLineB->Add(mpCParentFrame->GetPCTimeCtrl()->mpCGUITics, 1, wxEXPAND);
    
    pCBoxSizerLineC->Add(mpCParentFrame->GetPCTimeCtrl()->mpCGUIAtoi, 0, wxEXPAND);
    pCBoxSizerLineC->Add(mpCParentFrame->GetPCTimeCtrl()->mpCGUI, 1, wxEXPAND);
    
    pCBoxSizerBase->Add(pCBoxSizerLineA, 0, wxEXPAND);
    pCBoxSizerBase->Add(pCBoxSizerLineB, 0, wxEXPAND);
    pCBoxSizerBase->Add(pCBoxSizerLineC, 0, wxEXPAND);
    
    pCBoxSizerBase->Add(mpCParamGUICtrl, 1, wxEXPAND);
    pCBoxSizerBase->Add(220 + 8, 0, 0); // _

    mpCScroll = new wxScrolledWindow
	(this, wxID_ANY, wxDefaultPosition, wxSize(17, -1),
	 wxVSCROLL | wxALWAYS_SHOW_SB);
    mpCScroll->SetTargetWindow(mpCParamGUICtrl);
    mpCParamGUICtrl->mpCScrollLink = mpCScroll;
    mpCScroll->SetScrollbars(0, 1, 0, 140);
    
    pCBoxSizerSRC->Add(pCBoxSizerBase, 1, wxEXPAND);
    pCBoxSizerSRC->Add(mpCScroll, 0, wxEXPAND);

    SetSizer(pCBoxSizerSRC);

    /*
    SetTargetWindow(mpCParamGUICtrl);
    mpCTargetWindow = mpCParamGUICtrl;
    SetScrollbars(0, 5, 0, 50);
    */
}


BtmHalfPanel_cls::
~BtmHalfPanel_cls(){
}

void BtmHalfPanel_cls::
RecheckSize(){
    //int height = mpCParamGUICtrl->GetBestSize().GetHeight();
    //mpCScroll->SetScrollbars(0, 1, 0, height);
}

void BtmHalfPanel_cls::
RefreshTLPanels(){
    ParametersPanel_cls::SetDoubleIndex();
    mpCParamGUICtrl->RefreshPanels();
    mpCParentFrame->GetPCTimeCtrl()->RefreshGUI();
    //mpCAtoiFrame->SetValueInt(mpCParentFrame->GetPCTimeCtrl()->mFrame);
    //mpCAtoiStep->SetValueInt(mpCParentFrame->GetPCTimeCtrl()->mInterpStep);
}
