// "clsGLString2D.h"

#include "clsGLString2D.h"

#include <string.h>

#ifdef __WXMAC__
#include <GLUT/glut.h>
#else
#include <GL/glut.h>
#endif

void GLStrings2D_cls::
SetWindowGeometry(int width, int height){
    mWidth = width;
    mHeight = height;
}

void GLStrings2D_cls::
Push2DMatrix(){
    glMatrixMode(GL_PROJECTION);
    glPushMatrix();
    glLoadIdentity();
    gluOrtho2D(0, mWidth, 0, mHeight);
    glMatrixMode(GL_MODELVIEW);
    glPushMatrix();
    glLoadIdentity();
}

void GLStrings2D_cls::
Pop2DMatrix(){
    glPopMatrix();
    glMatrixMode(GL_PROJECTION);
    glPopMatrix();
    glMatrixMode(GL_MODELVIEW); 
}

void GLStrings2D_cls::
Draw(void *fonttype, const char *chars, 
     int posx, int posy, int mode){
    
    //if (mbInitGLUT == FALSE) MyInitiGLUT();
    
    if (mode == _STRINGS_TOP_LEFT)
	posy = mHeight - posy - 12; // {tHgɂĕςׂ
    
    int len = (int)strlen(chars);
    Push2DMatrix();
    glRasterPos2i(posx, posy);
    for (int i = 0; i < len; i++){
	if (chars[i] == '\n'){
	    posy -= 24;
	    glRasterPos2i(posx, posy); }
	glutBitmapCharacter(fonttype, chars[i]); }
    Pop2DMatrix();
}
