// "clsGLString2D.cpp"

#ifndef _GL_STRING2D_H_
#define _GL_STRING2D_H_

#define _STRINGS_BOTTOM_LEFT 0
#define _STRINGS_TOP_LEFT    1

#ifdef _DEBUG
#include <stdlib.h>
#include <crtdbg.h>
#define new new(_NORMAL_BLOCK, __FILE__, __LINE__)
#endif

class GLStrings2D_cls{
 public:
    //bool mbInitGLUT;
    //void InitGLUT();
    int mWidth, mHeight;

    void SetWindowGeometry(int width, int height);
    void Push2DMatrix();
    void Pop2DMatrix();
    void Draw(void *fonttype, const char *chars, int posx, int posy,
	      int mode = _STRINGS_TOP_LEFT);
    /*
    static void Draw3DPos(void *fonttype, const char *chars, 
			  float posx, float posy, float posz);
    static void FDrawFloat(void *fonttype, std::string format, float val,
			   int posx, int posy,
			   int mode = _STRINGS_TOP_LEFT);
    */
    
};

#endif
