// -*- c++ -*- 
// "clsDataLoader.cpp"
// (setq c-basic-offset 4)

#ifndef _DATA_LOADER_H_
#define _DATA_LOADER_H_

#define _GRAMMER_XYZ 0
#define _GRAMMER_VXVYVZ 1
#define _GRAMMER_DUMMY1 2
#define _GRAMMER_DUMMY3 3
#define _GRAMMER_DUMMY10 4
#define _GRAMMER_RADIUS 5
#define _GRAMMER_ID 6
#define _GRAMMER_TYPE 7
#define _GRAMMER_VALUE1 8

#define _GRAMMER_TIME 0
#define _GRAMMER_NUMBER 1

#include "../CONFITEM/clsConfItem.h"

#include "clsGrammerBase.h"

#include <wx/wx.h>

class DataLoaderGUI_cls;
class Main_cls;

#define _DATA_SIMPLEBINARY 0
#define _DATA_SIMPLEASCII  1

#ifdef _DEBUG
#include <stdlib.h>
#include <crtdbg.h>
#define new new(_NORMAL_BLOCK, __FILE__, __LINE__)
#endif

class DataLoader_cls : public GrammerBase_cls {
 public: 
    DataLoader_cls(Main_cls *pCMain);
    ~DataLoader_cls();

    Main_cls *mpCMainLink;
    
    DataLoaderGUI_cls *mpCGUI;

    ConfItemSTR_cls   mCLastOpenedFile;
    ConfItemUINT_cls  mCInterpType;
    ConfItemUINT_cls  mCVariablePNum;
    ConfItemFLOATARRAY_cls mCAdjustTranslate;
    ConfItemFLOAT_cls mCAdjustScale;
    
    void InitGUI(wxWindow *pCParent);
    void OpenWindow(wxWindow *pCParent);

    void OpenDataFile(wxString strFilePath);

    void ReadStrLine(wxString strLine);
    wxString Serialize();
};

#endif
