// -*- c -*-
// "clsPreferenceGUI.cpp"
// (setq c-basic-offset 4)

#ifndef _PREFERENCE_GUI_H_
#define _PREFERENCE_GUI_H_

#include "../WIDGETCTRL/clsMultiInputPanel.h"
#include "../WIDGETCTRL/clsDialogEXKey.h"

class Preference_cls; 
class wxNotebook;

#ifdef _DEBUG
#include <stdlib.h>
#include <crtdbg.h>
#define new new(_NORMAL_BLOCK, __FILE__, __LINE__)
#endif

class PreferenceGUI_cls : public wxDialogEXKey {
 public:
    PreferenceGUI_cls(Preference_cls* pCParent, 
		      wxWindow *pC, wxPoint pos, wxSize size);
    ~PreferenceGUI_cls();

    Preference_cls    *mpCParent;
    wxNotebook        *mpCBook;
    wxBoxSizer        *mpBoxSizerBookMouse;
    wxBoxSizer        *mpBoxSizerBookMem;

    MultiInputPanel_cls* mpCMNumMouseParam;
    MultiInputPanel_cls* mpCMNumMemParam;

    void SetMNumMouseParam(wxBoxSizer *pBoxSizer);
    //void SetMNumPerformanceParam(wxBoxSizer *pBoxSizer);
    //void SetMNumTLParam(wxBoxSizer *pBoxSizer);
    void SetMNumMemParam(wxBoxSizer *pBoxSizer);

    void OnButtonClose(wxCommandEvent &event);

    unsigned int mTemplateSetting;

 private:
    // any class wishing to process wxWidgets events must use this macro
    DECLARE_EVENT_TABLE()
};
#endif
