// -*- c -*- 
// "clsSnapData.cpp"

#ifndef _SNAP_DATA_H_
#define _SNAP_DATA_H_

#ifdef _DEBUG
#include <stdlib.h>
#include <crtdbg.h>
#define new new(_NORMAL_BLOCK, __FILE__, __LINE__)
#endif

class GLAttribute_cls;
class PDataBlock_cls;

class SnapData_cls{
 public:
    SnapData_cls(PDataBlock_cls *pCDataBlockLink,
		 GLAttribute_cls **ppCGLAttribute,
		 double DT);
    ~SnapData_cls();

    void Allocate(int pNum);
    void ReleaseData();
    
    bool IsItSameSnap(PDataBlock_cls *pCDataBlockLink, double dT);
    void InterpolateNot(PDataBlock_cls *pCDataBlockLink,  
			GLAttribute_cls **ppCGLAttribute);
    void Interpolate(PDataBlock_cls *pCDataBlockLink,  
		     GLAttribute_cls **ppCGLAttribute,
		     double dT);
    bool mbAllocated;
    int  mPNumBlock;
    double mTime;
    
    float (*mpX)[3];
    float *mpRadius;
    float *mpValue1;
    float (*mpColor)[4];
    unsigned char *mpTypeLink;

};

#endif
