// -*- c -*-
// "clsCameraPath.cpp"

#ifndef _CAMERA_PATH_H
#define _CAMERA_PATH_H

#include "clsSceneObj.h"

#include "../CONFITEM/clsConfItem.h"
#include "../MYGL/clsPositionAndDirection.h"
//#include "../PARAMETER/clsParamGroup.h"

#ifdef _DEBUG
#include <stdlib.h>
#include <crtdbg.h>
#define new new(_NORMAL_BLOCK, __FILE__, __LINE__)
#endif

#define _PATH_NUM_MAX 1

class CameraPath_cls : public SceneObj_cls {
 public:
    CameraPath_cls();

    //ConfItemList_cls mCConfList;
    ConfItemINT_cls  mCCamGeometry;
    ConfItemBOOL_cls mCbLookAnchor;
    ConfItemDOUBLE_cls mCVAngle;

    //void GLDrawPath(double scale);
    //void GLDrawCurrent(double doubleIndex, double scale);

    wxString Serialize();
    void ReadStrLine(std::wistream &istream, wxString strLineTag);
};

class AnchorPath_cls : public SceneObj_cls {
 public:
    AnchorPath_cls();

    wxString Serialize();
    void ReadStrLine(std::wistream &istream, wxString strLineTag);
};

#endif
