// -*- c++ -*-
// "clsTimeCtrlGUI.cpp"

#ifndef _TIME_CTRL_GUI_AA_H
#define _TIME_CTRL_GUI_AA_H

#include "clsTLPanelBase.h"

class TimeCtrl_cls;

#ifdef _DEBUG
#include <stdlib.h>
#include <crtdbg.h>
#define new new(_NORMAL_BLOCK, __FILE__, __LINE__)
#endif

class TimeCtrlGUIAA_cls : public TLPanelBase_cls {
 public:
    TimeCtrlGUIAA_cls(wxWindow *pCParent, TimeCtrl_cls *pCCtrl,
		    wxWindowID id, wxPoint pos, wxSize size);
    ~TimeCtrlGUIAA_cls();

    wxIcon *mpCTimeSliderIcon;
    
    // ACeI
    int mSelected;

    void UpdateDisplay(wxAutoBufferedPaintDC &dc);
    void ForceUpdateDisplay();
    bool SetNewIndexDragging();
    bool SetNewMinDragging();
    bool SetNewMaxDragging();
    void SetNewMinFix(int min_DragIni);
    void SetNewMaxFix(int max_DragIni);

    void OnSize(wxSizeEvent& event);
    void OnPaint(wxPaintEvent& event);
    void OnMouse(wxMouseEvent& event);

 private:
    // any class wishing to process wxWidgets events must use this macro
    DECLARE_EVENT_TABLE()
};

#endif
