
#ifndef _UNDO_COMMAND_BASIC_PARAM_H_
#define _UNDO_COMMAND_BASIC_PARAM_H_

#include "clsUndoManager.h"

#define _COMMAND_BASIC_FLOAT        0
#define _COMMAND_BASIC_DOUBLE       1
#define _COMMAND_BASIC_INT          2
#define _COMMAND_BASIC_UNSIGNED_INT 3

#define _COMMAND_BASIC_STRING       10

class ConfItemFLOATARRAY_cls;

#include <wx/wx.h>

#ifdef _DEBUG
#include <stdlib.h>
#include <crtdbg.h>
#define new new(_NORMAL_BLOCK, __FILE__, __LINE__)
#endif

class CommandSetValue_cls : public CommandItem_cls {
 public:
    CommandSetValue_cls(void *pTarget, float value, int updateBit = 0);
    CommandSetValue_cls(void *pTarget, double value, int updateBit = 0);
    CommandSetValue_cls(void *pTarget, unsigned int value, int updateBit = 0);
    CommandSetValue_cls(void *pTarget, int value, int updateBit = 0);
    CommandSetValue_cls(void *pTarget, wxString value, int updateBit = 0);

    void *mpTarget;
    int   mType;
    
    float mValueFloat;
    double mValueDouble;
    unsigned int mValueUnsignedInt;
    int   mValueInt;
    wxString mValueString;

    void Execute(bool bFlag = _COMMAND_REDO);
};

class CommandSetColor_cls : public CommandItem_cls {
 public:
    CommandSetColor_cls(ConfItemFLOATARRAY_cls *pCTarget, float* pColorFloat, int updateBit = 0);

    ConfItemFLOATARRAY_cls *mpCTarget;
    float mColorFloat[4];

    void Execute(bool bFlag = _COMMAND_REDO);
};

#endif
