// -*- c -*- 
// "clsColourDialogEX.cpp"

#ifndef _FILERDIALOG_EX_H_
#define _FILEDIALOG_EX_H_

#include <wx/wx.h>
#include <wx/filedlg.h>

#ifdef _DEBUG
#include <stdlib.h>
#include <crtdbg.h>
#define new new(_NORMAL_BLOCK, __FILE__, __LINE__)
#endif

class wxFileDialogEX {
 public:
    wxFileDialogEX(wxWindow* parent);
    ~wxFileDialogEX();

    wxFileDialog *mpCDialog;

    void SetMessage(wxString strMes);
    void SetInitPathFull(wxString strPath);
    void SetInitPath(wxString strDir, wxString strFileName = wxT(""));
    void SetWildcard(wxString strWildCard);
    void SetStyle(long style);
    int ShowModal();
    wxString GetDirectory();
    wxString GetFileName();
    wxString GetPath();
};

#endif
