// -*- c -*- 
// "clsDialogEXKey.cpp"

#ifndef _DIALOG_EX_H_
#define _DIALOG_EX_H_

#include <wx/wx.h>

class MultiInputPanel_cls;
class MultiInput_cls;

class wxDialogEXKey : public wxDialog {
 public:
    wxDialogEXKey(wxWindow* parent, wxWindowID id, 
		  const wxString& label = wxEmptyString,
		  const wxPoint& pos = wxDefaultPosition,
		  const wxSize& size = wxDefaultSize,
		  wxBitmap *pBitmap = NULL,
		  long style = wxDEFAULT_DIALOG_STYLE, 
		  const wxString& name = wxT("dialogBox"));
    ~wxDialogEXKey();

    static MultiInputPanel_cls* 
	InitializeMNumPanel(MultiInputPanel_cls **ppMNum,
			    wxWindow *pCParent/*,
			    int buttonType = 0/*i.e. _MN_NOBUTTONS*/);
    
    int  mIDCloseButton;
    void SetCloseButtonID(int IDCloseButton);
    wxRect *mpCRectPos;
    void SetScreenRectPos(wxRect *pCRectPos);

    bool mbPreventDestroy;
    void CloseEXKey(int retCode = wxID_CANCEL);
    void OnKeyDown(wxKeyEvent& event);

    void OnSize(wxSizeEvent& event);
    void ResizeDialog();
};

#endif
