// -*- c -*- 
// "clsHookCtrl.cpp"

#define _HOOK_ID_ANY -1
#define _HOOK_COMBOBOX 0
#define _HOOK_MOUSE    1
#define _HOOK_ASSIGN   2
#define _HOOK_SHOW     3
#define _HOOK_CHECKBOX 4
#define _HOOK_COMBOBOX_CHANGE 5 // SelectꍇO
#define _HOOK_BUTTON 6
#define _HOOK_OPEN 7
#define _HOOK_CHANGE 8
#define _HOOK_PANELCLICK 9

#include <wx/wx.h>
#include <vector>

#ifdef _DEBUG
#include <stdlib.h>
#include <crtdbg.h>
#define new new(_NORMAL_BLOCK, __FILE__, __LINE__)
#endif

// ֐|C^vetctorɓ邽߂̍\
struct structFuncPointerVoidVoid{
    void (*mpFunc)(void*, void*);
    int mId;
    int mType;
    bool mbUseVeto;
    void *mpEventOvwt; //ʏpEventǏꍇɂ
};

class HookCtrl_cls {
 public:
    HookCtrl_cls(void **ppToInputPanelBase);

    void **mppToInputPanelBase;
    std::vector < structFuncPointerVoidVoid > mVpStructFuncHook;

    void SetFuncHook(void (*pFunc)(void*, void*), int type,
		     int ID = wxID_ANY, bool bUseVeto = FALSE,
		     void *pEventOvwr = NULL);

    void CheckHook(int hookType, void *pArg, 
		   int id = wxID_ANY, bool bUseHookChange = TRUE);
};
